## adios2 2.10.1+dfsg1

=== debian/changelog ===
adios2 (2.10.1+dfsg1-12) unstable; urgency=medium

  * adios2 cmake config files check if plugin files are installed, so
    set libadios2-*-core-2.10 Depends: libadios2-*-plugins
    instead of Recommends. Set debian/source/lintian-overrides to
    ignore intra-source-package-circular-dependency, since plugin
    packages get Depends: *core via ${shlibs:Depends}. The two have to
    go together. Closes: #1084255.

 -- Drew Parsons <dparsons@debian.org>  Sat, 12 Oct 2024 20:20:05 +0200

adios2 (2.10.1+dfsg1-11) unstable; urgency=medium

  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Oct 2024 12:35:28 +0200

adios2 (2.10.1+dfsg1-10) experimental; urgency=medium

  * debian/tests Restrictions: allow-stderr in MPI tests.
    arm64 started sending compile warnings to stderr compiling the
    gray-scott_pdf-calc simulation for adios2-mpi-examples.

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Sep 2024 10:14:46 +0200

adios2 (2.10.1+dfsg1-9) experimental; urgency=medium

  * debian/tests/adios2-mpi-examples: fix syntax finding tests

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Sep 2024 22:38:35 +0200

adios2 (2.10.1+dfsg1-8) experimental; urgency=medium

  * debian/tests/adios2-mpi-examples: run *Writer before *Reader
    to ensure adios2_hello_bpReader_mpi passes on arm64

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Sep 2024 16:24:17 +0200

adios2 (2.10.1+dfsg1-7) experimental; urgency=medium

  * debian/tests: update names of *Read, *Write to run write tests
    before read tests. Collect executable files only.

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Sep 2024 11:48:53 +0200

adios2 (2.10.1+dfsg1-6) experimental; urgency=medium

  * debian/tests/adios2-mpi-examples: skip globalArray1DRead_*
    (i.e. add adios2_basics_globalArray1DRead_c to skips)

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Sep 2024 16:15:37 +0200

adios2 (2.10.1+dfsg1-5) experimental; urgency=medium

  * update skips in debian/tests examples tests
    - examples now use an adios2_ prefix.
    - skip globalArray1DRead_f (basic) in MPI examples

 -- Drew Parsons <dparsons@debian.org>  Wed, 11 Sep 2024 20:41:05 +0200

adios2 (2.10.1+dfsg1-4) experimental; urgency=medium

  * add debian patch fix_examples_cmake.patch to fix examples
    - only add MPI support if ADIOS2_HAVE_MPI is set.
    - only build plugins/engine if ADIOS2_add_examples_plugins_engine
      is set (i.e. skip engines, since the plugin is not built)
  * update debian/tests/adios2-{mpi,serial}-examples to use
    adios2.is_built_with_mpi to test for serial or MPI build.
  * update debian/tests/adios2-mpi-examples
    - update names of python tests
    - skip simulations gray-scott, gray-scott-struct,
      and queryWorker (basics). They do run, but need additional
      config files from the source dirs
  * debian patch fix_example_hello_bpFWriteCRead_PR4239.patch applies
    upstream PR#4239 to fix CppReader in the hello bpFWriteCRead
    example.

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Sep 2024 22:47:53 +0200

adios2 (2.10.1+dfsg1-3) experimental; urgency=medium

  * update fix_cmake_dill_ffi.patch to not impose DILL_NATIVE_ONLY if
    NATIVE_ARCH is UNSUPPORTED. i.e. enable libffi emulation on
    unsupported arches (riscv64, s390x, etc)

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Sep 2024 13:45:26 +0200

adios2 (2.10.1+dfsg1-2) experimental; urgency=medium

  * debian patch fix_cmake_dill_ffi.patch fixes dill's FindLibFFI.cmake
    to set LIBFFI_FOUND when found with pkgconfig. Needed for less
    common arches (riscv64, s390x, etc) not directly supported by dill.
  * debian/tests Depends: libadios2-serial-plugins, libadios2-mpi-plugins

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Sep 2024 10:56:43 +0200

adios2 (2.10.1+dfsg1-1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release. Closes: #1077346.
    - new ABI 2.10
  * Add Francesco Ballarin to uploaders
  * Drop thirdparty_soname.patch: the patch used to add the version of the
    third party library perfstubs to its soname, but upstream has now decided
    to give its own version number to the third party library.
  * Drop python_fix.patch, which has been integrated upstream
  * Drop fix_examples_BeginStep_PR3856.patch: PR #3856 has been included in
    upstream release 2.10.0.
  * Refresh remaining patches
  * Change CMake variable -DEVPATH_TRANSPORT_MODULES from OFF to ON to fix
    linking error
     /usr/bin/ld: lib/x86_64-linux-gnu/libadios2_serial_evpath.so.2.10.0:
     undefined reference to `cmfabric_add_static_transport'
    - Provide transport modules in libadios2-mpi-auxiliary-2
    - Closes: #1070338

  [ Drew Parsons ]
  * Handle RUNPATH configuration with -DCMAKE_SKIP_INSTALL_RPATH=ON
  * update debian patch multiple_python_versions.patch to activate
    DetectPythonOptions in toplevel CMakeLists.txt.
  * update python installation
    - python entry scripts now provided by python3-adios2
    - install bindings/__init__.py with base python component
      and bindings extensions (.so) in -serial, -mpi packages
    - debian patch python_bindings_flavour.patch moves handling of
      serial or mpi flavor to adios2/bindings/__init__/py
    - drop debian patch Skip-install-init-py.patch
    - install common python files "twice" into the same location in
      python3-adios to avoid dh_missing complaints
  * Build-Depends: pkgconf not pkg-config
  * add man page (help2man) for new script adios2_campaign_manager
  * debian/rules: define ADIOS2_SOVERSION as MAJOR.MINOR
    (i.e. 2.10 not just 2)
  * provide plugin libraries in libadios2-{serial,mpi}-plugins.
    Required since plugins do not carry a soname and the plugin
    installation dir is not ABI-specific.
    libadios2-*-plugins Replaces/Breaks: libadios2-*-core-2
    libadios2-*-core-2.10 Recommends: libadios2-*-plugins.

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Sep 2024 10:06:01 +0200
