=== debian/changelog ===
adios2 (2.10.2+dfsg1-5build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:13:14 +0000

adios2 (2.10.2+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * d/rules: Skip Blosc2 on s390x. Closes: #1115300

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Sep 2025 13:55:09 +0200

adios2 (2.10.2+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * AutoPkgTests: set c++11/c99. Closes: #1115195
  * d/patches: correct metadata
  * Added patch to record only the build system type (Linux) and not the
    build system kernal version to enhance reproducibility. Closes:
    #1104694.
  * Standards-Version: 4.7.2 (routine-update)
  * Do not parse d/changelog (routine-update)
  * d/control: Trim trailing whitespace.
  * d/control: turn off Multi-Arch for some -dev packages, they have
    differing contents.
  * d/rules: set FFLAGS using CPPFLAGS for improved hardening.
  * d/control: fix some package sections.
  * Added patch to fix a typo.
  * d/upstream/metadata: Documented upstream project and their
    recommended citation.
  * AutoPkgTests: set a HOME directory to fix a Segmentation fault.
  * d/rules: switch to Blosc2, add ZFP instead of the no-longer available SST.
  * Added patch to use proper dynamic vector construction to fix
    segfault with gcc-15.
  * Autopkgtests: turn on verbose and debug enabled building of the
    test/examples.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Sep 2025 00:11:40 +0200

adios2 (2.10.2+dfsg1-3) unstable; urgency=medium

  * Team upload
  * Salsa CI: package only build for 64 bits
  * Drop dependency on python3-pkg-resources, dh-cmake is fixed

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Aug 2025 19:25:41 +0200

adios2 (2.10.2+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Build-Depend on python3-pkg-resources (Closes: #1100193)

  [ Adrien Nader ]
  * tests: use OpenMPI 5.0's environment variables for over-subscription

 -- Bastian Germann <bage@debian.org>  Thu, 13 Mar 2025 17:50:56 +0100

adios2 (2.10.2+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * update debian patch cmake_config_flavor.patch to add build flavour
    and soname to h5vol support library. Used with HDF5 v1.14.
    Conditionally install in libadios2-*-auxiliary* packages.
    Closes: #1088789.
  * update intra-source-package-circular-dependency lintian overrides
    in debian/source/lintian-overrides

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Dec 2024 20:34:50 +0100

adios2 (2.10.1+dfsg1-13) unstable; urgency=medium

  * Team upload.

  [ Gilles Filippini ]
  * Fix patch multiple_python_versions.patch so that the corresponding
    Python interpreter is used for each Python release we build against
    (closes: #1086088)

  [ Michael R. Crusoe ]
  * d/salsa-ci.yml: enable Salsa CI testing

  [ Stefano Rivera ]
  * Drop unnecessary Provides: ${python3:Provides}.
  * Install the missing Pure Python bits with a .pyinstall file.
  * Add missing dependency on python3-numpy to python3-adios2.
  * Allow stderr messages in all autopkgtests (for cmake deprecations).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 30 Nov 2024 21:00:25 -0400
